/*
    Copyright 2008-2012 Luigi Auriemma

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl-2.0.txt
*/
// code generated by "DLL proxy skeleton generator 0.1", Luigi Auriemma http://aluigi.org

#define DLL_NAME    "ws2_32.dll"     // the name of the original DLL
#define _WINSOCK_H
#define _WINSOCK2_H

// example of compiling: gcc -o ws2_32.dll ws2_32.c -shared ws2_32.def //-Wl,--image-base=0x71AB0000
//#define POP_EBP                              // uncomment if you use -fomit-frame-pointer
#define POP_EBP     __asm__("pop %ebp");     // comment if you use -fomit-frame-pointer
// you MUST modify the above POP_EBP if you use -fomit-frame-pointer with your compiler!

#include <stdlib.h>
#include <windef.h>
#include <stdarg.h>
#include <winbase.h>


HMODULE hm = NULL;

#define CALLING_CONVENTION WINAPI       // default for Windows DLLs, this IS important
#define PROXY_PROTOTYPE(FUNCTION_NAME) \
        void (FUNCTION_NAME)(void)
#define PROXY_FUNCTION(FUNCTION_NAME) \
        static CALLING_CONVENTION PROXY_PROTOTYPE(*_##FUNCTION_NAME) = NULL; \
        CALLING_CONVENTION PROXY_PROTOTYPE(FUNCTION_NAME) { \
            POP_EBP __asm__("jmp *__"#FUNCTION_NAME); \
        }

#include "proxocket.h"
//PROXY_FUNCTION(accept)
//PROXY_FUNCTION(bind)
//PROXY_FUNCTION(closesocket)
//PROXY_FUNCTION(connect)
PROXY_FUNCTION(getpeername)
PROXY_FUNCTION(getsockname)
PROXY_FUNCTION(getsockopt)
PROXY_FUNCTION(htonl)
PROXY_FUNCTION(htons)
PROXY_FUNCTION(ioctlsocket)
PROXY_FUNCTION(inet_addr)
PROXY_FUNCTION(inet_ntoa)
PROXY_FUNCTION(listen)
PROXY_FUNCTION(ntohl)
PROXY_FUNCTION(ntohs)
//PROXY_FUNCTION(recv)
//PROXY_FUNCTION(recvfrom)
PROXY_FUNCTION(select)
//PROXY_FUNCTION(send)
//PROXY_FUNCTION(sendto)
PROXY_FUNCTION(setsockopt)
PROXY_FUNCTION(shutdown)
//PROXY_FUNCTION(socket)
PROXY_FUNCTION(WSApSetPostRoutine)
PROXY_FUNCTION(FreeAddrInfoEx)
PROXY_FUNCTION(FreeAddrInfoExW)
PROXY_FUNCTION(FreeAddrInfoW)
PROXY_FUNCTION(GetAddrInfoExA)
PROXY_FUNCTION(GetAddrInfoExW)
PROXY_FUNCTION(GetAddrInfoW)
PROXY_FUNCTION(GetNameInfoW)
PROXY_FUNCTION(InetNtopW)
PROXY_FUNCTION(InetPtonW)
PROXY_FUNCTION(SetAddrInfoExA)
PROXY_FUNCTION(SetAddrInfoExW)
PROXY_FUNCTION(WPUCompleteOverlappedRequest)
//PROXY_FUNCTION(WSAAccept)
PROXY_FUNCTION(WSAAddressToStringA)
PROXY_FUNCTION(WSAAddressToStringW)
PROXY_FUNCTION(WSAAdvertiseProvider)
PROXY_FUNCTION(WSACloseEvent)
//PROXY_FUNCTION(WSAConnect)
PROXY_FUNCTION(WSAConnectByList)
PROXY_FUNCTION(WSAConnectByNameA)
PROXY_FUNCTION(WSAConnectByNameW)
PROXY_FUNCTION(WSACreateEvent)
PROXY_FUNCTION(WSADuplicateSocketA)
PROXY_FUNCTION(WSADuplicateSocketW)
PROXY_FUNCTION(WSAEnumNameSpaceProvidersA)
PROXY_FUNCTION(WSAEnumNameSpaceProvidersExA)
PROXY_FUNCTION(gethostbyaddr)
PROXY_FUNCTION(gethostbyname)
PROXY_FUNCTION(getprotobyname)
PROXY_FUNCTION(getprotobynumber)
PROXY_FUNCTION(getservbyname)
PROXY_FUNCTION(getservbyport)
PROXY_FUNCTION(gethostname)
PROXY_FUNCTION(WSAEnumNameSpaceProvidersExW)
PROXY_FUNCTION(WSAEnumNameSpaceProvidersW)
PROXY_FUNCTION(WSAEnumNetworkEvents)
PROXY_FUNCTION(WSAEnumProtocolsA)
PROXY_FUNCTION(WSAEnumProtocolsW)
PROXY_FUNCTION(WSAEventSelect)
PROXY_FUNCTION(WSAGetOverlappedResult)
PROXY_FUNCTION(WSAGetQOSByName)
PROXY_FUNCTION(WSAGetServiceClassInfoA)
PROXY_FUNCTION(WSAGetServiceClassInfoW)
PROXY_FUNCTION(WSAGetServiceClassNameByClassIdA)
PROXY_FUNCTION(WSAGetServiceClassNameByClassIdW)
PROXY_FUNCTION(WSAHtonl)
PROXY_FUNCTION(WSAHtons)
PROXY_FUNCTION(WSAInstallServiceClassA)
PROXY_FUNCTION(WSAInstallServiceClassW)
PROXY_FUNCTION(WSAIoctl)
PROXY_FUNCTION(WSAJoinLeaf)
PROXY_FUNCTION(WSALookupServiceBeginA)
PROXY_FUNCTION(WSALookupServiceBeginW)
PROXY_FUNCTION(WSALookupServiceEnd)
PROXY_FUNCTION(WSALookupServiceNextA)
PROXY_FUNCTION(WSALookupServiceNextW)
PROXY_FUNCTION(WSANSPIoctl)
PROXY_FUNCTION(WSANtohl)
PROXY_FUNCTION(WSANtohs)
PROXY_FUNCTION(WSAPoll)
PROXY_FUNCTION(WSAProviderCompleteAsyncCall)
PROXY_FUNCTION(WSAProviderConfigChange)
//PROXY_FUNCTION(WSARecv)
PROXY_FUNCTION(WSARecvDisconnect)
//PROXY_FUNCTION(WSARecvFrom)
PROXY_FUNCTION(WSARemoveServiceClass)
PROXY_FUNCTION(WSAResetEvent)
//PROXY_FUNCTION(WSASend)
PROXY_FUNCTION(WSASendDisconnect)
PROXY_FUNCTION(WSASendMsg)
//PROXY_FUNCTION(WSASendTo)
PROXY_FUNCTION(WSASetEvent)
PROXY_FUNCTION(WSASetServiceA)
PROXY_FUNCTION(WSASetServiceW)
//PROXY_FUNCTION(WSASocketA)
//PROXY_FUNCTION(WSASocketW)
PROXY_FUNCTION(WSAAsyncSelect)
PROXY_FUNCTION(WSAAsyncGetHostByAddr)
PROXY_FUNCTION(WSAAsyncGetHostByName)
PROXY_FUNCTION(WSAAsyncGetProtoByNumber)
PROXY_FUNCTION(WSAAsyncGetProtoByName)
PROXY_FUNCTION(WSAAsyncGetServByPort)
PROXY_FUNCTION(WSAAsyncGetServByName)
PROXY_FUNCTION(WSACancelAsyncRequest)
PROXY_FUNCTION(WSASetBlockingHook)
PROXY_FUNCTION(WSAUnhookBlockingHook)
PROXY_FUNCTION(WSAGetLastError)
PROXY_FUNCTION(WSASetLastError)
PROXY_FUNCTION(WSACancelBlockingCall)
PROXY_FUNCTION(WSAIsBlocking)
//PROXY_FUNCTION(WSAStartup)
PROXY_FUNCTION(WSACleanup)
PROXY_FUNCTION(WSAStringToAddressA)
PROXY_FUNCTION(WSAStringToAddressW)
PROXY_FUNCTION(WSAUnadvertiseProvider)
PROXY_FUNCTION(WSAWaitForMultipleEvents)
PROXY_FUNCTION(WSCDeinstallProvider)
PROXY_FUNCTION(WSCEnableNSProvider)
PROXY_FUNCTION(WSCEnumProtocols)
PROXY_FUNCTION(WSCGetApplicationCategory)
PROXY_FUNCTION(WSCGetProviderInfo)
PROXY_FUNCTION(WSCGetProviderPath)
PROXY_FUNCTION(WSCInstallNameSpace)
PROXY_FUNCTION(WSCInstallNameSpaceEx)
PROXY_FUNCTION(WSCInstallProvider)
PROXY_FUNCTION(WSCInstallProviderAndChains)
PROXY_FUNCTION(WSCSetApplicationCategory)
PROXY_FUNCTION(WSCSetProviderInfo)
PROXY_FUNCTION(WSCUnInstallNameSpace)
PROXY_FUNCTION(WSCUpdateProvider)
PROXY_FUNCTION(WSCWriteNameSpaceOrder)
PROXY_FUNCTION(WSCWriteProviderOrder)
PROXY_FUNCTION(WahCloseApcHelper)
PROXY_FUNCTION(WahCloseHandleHelper)
PROXY_FUNCTION(WahCloseNotificationHandleHelper)
PROXY_FUNCTION(WahCloseSocketHandle)
PROXY_FUNCTION(WahCloseThread)
PROXY_FUNCTION(WahCompleteRequest)
PROXY_FUNCTION(WahCreateHandleContextTable)
PROXY_FUNCTION(WahCreateNotificationHandle)
PROXY_FUNCTION(WahCreateSocketHandle)
PROXY_FUNCTION(WahDestroyHandleContextTable)
PROXY_FUNCTION(WahDisableNonIFSHandleSupport)
PROXY_FUNCTION(WahEnableNonIFSHandleSupport)
PROXY_FUNCTION(WahEnumerateHandleContexts)
PROXY_FUNCTION(WahInsertHandleContext)
PROXY_FUNCTION(__WSAFDIsSet)
PROXY_FUNCTION(WahNotifyAllProcesses)
PROXY_FUNCTION(WahOpenApcHelper)
PROXY_FUNCTION(WahOpenCurrentThread)
PROXY_FUNCTION(WahOpenHandleHelper)
PROXY_FUNCTION(WahOpenNotificationHandleHelper)
PROXY_FUNCTION(WahQueueUserApc)
PROXY_FUNCTION(WahReferenceContextByHandle)
PROXY_FUNCTION(WahRemoveHandleContext)
PROXY_FUNCTION(WahWaitForNotification)
PROXY_FUNCTION(WahWriteLSPEvent)
PROXY_FUNCTION(freeaddrinfo)
PROXY_FUNCTION(getaddrinfo)
PROXY_FUNCTION(getnameinfo)
PROXY_FUNCTION(inet_ntop)
PROXY_FUNCTION(inet_pton)
PROXY_FUNCTION(ordinal_167)
PROXY_FUNCTION(ordinal_168)
PROXY_FUNCTION(ordinal_169)
PROXY_FUNCTION(ordinal_170)
PROXY_FUNCTION(ordinal_171)
PROXY_FUNCTION(ordinal_172)
PROXY_FUNCTION(ordinal_173)
PROXY_FUNCTION(ordinal_174)
PROXY_FUNCTION(ordinal_175)
PROXY_FUNCTION(ordinal_176)
PROXY_FUNCTION(ordinal_177)
PROXY_FUNCTION(ordinal_178)
PROXY_FUNCTION(ordinal_179)
PROXY_FUNCTION(ordinal_180)
PROXY_FUNCTION(ordinal_181)
PROXY_FUNCTION(ordinal_182)
PROXY_FUNCTION(ordinal_183)
PROXY_FUNCTION(ordinal_184)
PROXY_FUNCTION(ordinal_185)
PROXY_FUNCTION(ordinal_186)
PROXY_FUNCTION(ordinal_187)
PROXY_FUNCTION(ordinal_188)
PROXY_FUNCTION(ordinal_189)
PROXY_FUNCTION(ordinal_190)
PROXY_FUNCTION(ordinal_191)
PROXY_FUNCTION(ordinal_192)
PROXY_FUNCTION(ordinal_193)
PROXY_FUNCTION(ordinal_194)
PROXY_FUNCTION(ordinal_195)
PROXY_FUNCTION(ordinal_196)
PROXY_FUNCTION(ordinal_197)
PROXY_FUNCTION(ordinal_198)
PROXY_FUNCTION(ordinal_199)
PROXY_FUNCTION(ordinal_200)
PROXY_FUNCTION(ordinal_201)
PROXY_FUNCTION(ordinal_202)
PROXY_FUNCTION(ordinal_203)
PROXY_FUNCTION(ordinal_204)
PROXY_FUNCTION(ordinal_205)
PROXY_FUNCTION(ordinal_206)
PROXY_FUNCTION(ordinal_207)
PROXY_FUNCTION(ordinal_208)
PROXY_FUNCTION(ordinal_209)
PROXY_FUNCTION(ordinal_210)
PROXY_FUNCTION(ordinal_211)
PROXY_FUNCTION(ordinal_212)
PROXY_FUNCTION(ordinal_213)
PROXY_FUNCTION(ordinal_214)
PROXY_FUNCTION(ordinal_215)
PROXY_FUNCTION(ordinal_216)
PROXY_FUNCTION(ordinal_217)
PROXY_FUNCTION(ordinal_218)
PROXY_FUNCTION(ordinal_219)
PROXY_FUNCTION(ordinal_220)
PROXY_FUNCTION(ordinal_221)
PROXY_FUNCTION(ordinal_222)
PROXY_FUNCTION(ordinal_223)
PROXY_FUNCTION(ordinal_224)
PROXY_FUNCTION(ordinal_225)
PROXY_FUNCTION(ordinal_226)
PROXY_FUNCTION(ordinal_227)
PROXY_FUNCTION(ordinal_228)
PROXY_FUNCTION(ordinal_229)
PROXY_FUNCTION(ordinal_230)
PROXY_FUNCTION(ordinal_231)
PROXY_FUNCTION(ordinal_232)
PROXY_FUNCTION(ordinal_233)
PROXY_FUNCTION(ordinal_234)
PROXY_FUNCTION(ordinal_235)
PROXY_FUNCTION(ordinal_236)
PROXY_FUNCTION(ordinal_237)
PROXY_FUNCTION(ordinal_238)
PROXY_FUNCTION(ordinal_239)
PROXY_FUNCTION(ordinal_240)
PROXY_FUNCTION(ordinal_241)
PROXY_FUNCTION(ordinal_242)
PROXY_FUNCTION(ordinal_243)
PROXY_FUNCTION(ordinal_244)
PROXY_FUNCTION(ordinal_245)
PROXY_FUNCTION(ordinal_246)
PROXY_FUNCTION(ordinal_247)
PROXY_FUNCTION(ordinal_248)
PROXY_FUNCTION(ordinal_249)
PROXY_FUNCTION(ordinal_250)
PROXY_FUNCTION(ordinal_251)
PROXY_FUNCTION(ordinal_252)
PROXY_FUNCTION(ordinal_253)
PROXY_FUNCTION(ordinal_254)
PROXY_FUNCTION(ordinal_255)
PROXY_FUNCTION(ordinal_256)
PROXY_FUNCTION(ordinal_257)
PROXY_FUNCTION(ordinal_258)
PROXY_FUNCTION(ordinal_259)
PROXY_FUNCTION(ordinal_260)
PROXY_FUNCTION(ordinal_261)
PROXY_FUNCTION(ordinal_262)
PROXY_FUNCTION(ordinal_263)
PROXY_FUNCTION(ordinal_264)
PROXY_FUNCTION(ordinal_265)
PROXY_FUNCTION(ordinal_266)
PROXY_FUNCTION(ordinal_267)
PROXY_FUNCTION(ordinal_268)
PROXY_FUNCTION(ordinal_269)
PROXY_FUNCTION(ordinal_270)
PROXY_FUNCTION(ordinal_271)
PROXY_FUNCTION(ordinal_272)
PROXY_FUNCTION(ordinal_273)
PROXY_FUNCTION(ordinal_274)
PROXY_FUNCTION(ordinal_275)
PROXY_FUNCTION(ordinal_276)
PROXY_FUNCTION(ordinal_277)
PROXY_FUNCTION(ordinal_278)
PROXY_FUNCTION(ordinal_279)
PROXY_FUNCTION(ordinal_280)
PROXY_FUNCTION(ordinal_281)
PROXY_FUNCTION(ordinal_282)
PROXY_FUNCTION(ordinal_283)
PROXY_FUNCTION(ordinal_284)
PROXY_FUNCTION(ordinal_285)
PROXY_FUNCTION(ordinal_286)
PROXY_FUNCTION(ordinal_287)
PROXY_FUNCTION(ordinal_288)
PROXY_FUNCTION(ordinal_289)
PROXY_FUNCTION(ordinal_290)
PROXY_FUNCTION(ordinal_291)
PROXY_FUNCTION(ordinal_292)
PROXY_FUNCTION(ordinal_293)
PROXY_FUNCTION(ordinal_294)
PROXY_FUNCTION(ordinal_295)
PROXY_FUNCTION(ordinal_296)
PROXY_FUNCTION(ordinal_297)
PROXY_FUNCTION(ordinal_298)
PROXY_FUNCTION(ordinal_299)
PROXY_FUNCTION(ordinal_300)
PROXY_FUNCTION(ordinal_301)
PROXY_FUNCTION(ordinal_302)
PROXY_FUNCTION(ordinal_303)
PROXY_FUNCTION(ordinal_304)
PROXY_FUNCTION(ordinal_305)
PROXY_FUNCTION(ordinal_306)
PROXY_FUNCTION(ordinal_307)
PROXY_FUNCTION(ordinal_308)
PROXY_FUNCTION(ordinal_309)
PROXY_FUNCTION(ordinal_310)
PROXY_FUNCTION(ordinal_311)
PROXY_FUNCTION(ordinal_312)
PROXY_FUNCTION(ordinal_313)
PROXY_FUNCTION(ordinal_314)
PROXY_FUNCTION(ordinal_315)
PROXY_FUNCTION(ordinal_316)
PROXY_FUNCTION(ordinal_317)
PROXY_FUNCTION(ordinal_318)
PROXY_FUNCTION(ordinal_319)
PROXY_FUNCTION(ordinal_320)
PROXY_FUNCTION(ordinal_321)
PROXY_FUNCTION(ordinal_322)
PROXY_FUNCTION(ordinal_323)
PROXY_FUNCTION(ordinal_324)
PROXY_FUNCTION(ordinal_325)
PROXY_FUNCTION(ordinal_326)
PROXY_FUNCTION(ordinal_327)
PROXY_FUNCTION(ordinal_328)
PROXY_FUNCTION(ordinal_329)
PROXY_FUNCTION(ordinal_330)
PROXY_FUNCTION(ordinal_331)
PROXY_FUNCTION(ordinal_332)
PROXY_FUNCTION(ordinal_333)
PROXY_FUNCTION(ordinal_334)
PROXY_FUNCTION(ordinal_335)
PROXY_FUNCTION(ordinal_336)
PROXY_FUNCTION(ordinal_337)
PROXY_FUNCTION(ordinal_338)
PROXY_FUNCTION(ordinal_339)
PROXY_FUNCTION(ordinal_340)
PROXY_FUNCTION(ordinal_341)
PROXY_FUNCTION(ordinal_342)
PROXY_FUNCTION(ordinal_343)
PROXY_FUNCTION(ordinal_344)
PROXY_FUNCTION(ordinal_345)
PROXY_FUNCTION(ordinal_346)
PROXY_FUNCTION(ordinal_347)
PROXY_FUNCTION(ordinal_348)
PROXY_FUNCTION(ordinal_349)
PROXY_FUNCTION(ordinal_350)
PROXY_FUNCTION(ordinal_351)
PROXY_FUNCTION(ordinal_352)
PROXY_FUNCTION(ordinal_353)
PROXY_FUNCTION(ordinal_354)
PROXY_FUNCTION(ordinal_355)
PROXY_FUNCTION(ordinal_356)
PROXY_FUNCTION(ordinal_357)
PROXY_FUNCTION(ordinal_358)
PROXY_FUNCTION(ordinal_359)
PROXY_FUNCTION(ordinal_360)
PROXY_FUNCTION(ordinal_361)
PROXY_FUNCTION(ordinal_362)
PROXY_FUNCTION(ordinal_363)
PROXY_FUNCTION(ordinal_364)
PROXY_FUNCTION(ordinal_365)
PROXY_FUNCTION(ordinal_366)
PROXY_FUNCTION(ordinal_367)
PROXY_FUNCTION(ordinal_368)
PROXY_FUNCTION(ordinal_369)
PROXY_FUNCTION(ordinal_370)
PROXY_FUNCTION(ordinal_371)
PROXY_FUNCTION(ordinal_372)
PROXY_FUNCTION(ordinal_373)
PROXY_FUNCTION(ordinal_374)
PROXY_FUNCTION(ordinal_375)
PROXY_FUNCTION(ordinal_376)
PROXY_FUNCTION(ordinal_377)
PROXY_FUNCTION(ordinal_378)
PROXY_FUNCTION(ordinal_379)
PROXY_FUNCTION(ordinal_380)
PROXY_FUNCTION(ordinal_381)
PROXY_FUNCTION(ordinal_382)
PROXY_FUNCTION(ordinal_383)
PROXY_FUNCTION(ordinal_384)
PROXY_FUNCTION(ordinal_385)
PROXY_FUNCTION(ordinal_386)
PROXY_FUNCTION(ordinal_387)
PROXY_FUNCTION(ordinal_388)
PROXY_FUNCTION(ordinal_389)
PROXY_FUNCTION(ordinal_390)
PROXY_FUNCTION(ordinal_391)
PROXY_FUNCTION(ordinal_392)
PROXY_FUNCTION(ordinal_393)
PROXY_FUNCTION(ordinal_394)
PROXY_FUNCTION(ordinal_395)
PROXY_FUNCTION(ordinal_396)
PROXY_FUNCTION(ordinal_397)
PROXY_FUNCTION(ordinal_398)
PROXY_FUNCTION(ordinal_399)
PROXY_FUNCTION(ordinal_400)
PROXY_FUNCTION(ordinal_401)
PROXY_FUNCTION(ordinal_402)
PROXY_FUNCTION(ordinal_403)
PROXY_FUNCTION(ordinal_404)
PROXY_FUNCTION(ordinal_405)
PROXY_FUNCTION(ordinal_406)
PROXY_FUNCTION(ordinal_407)
PROXY_FUNCTION(ordinal_408)
PROXY_FUNCTION(ordinal_409)
PROXY_FUNCTION(ordinal_410)
PROXY_FUNCTION(ordinal_411)
PROXY_FUNCTION(ordinal_412)
PROXY_FUNCTION(ordinal_413)
PROXY_FUNCTION(ordinal_414)
PROXY_FUNCTION(ordinal_415)
PROXY_FUNCTION(ordinal_416)
PROXY_FUNCTION(ordinal_417)
PROXY_FUNCTION(ordinal_418)
PROXY_FUNCTION(ordinal_419)
PROXY_FUNCTION(ordinal_420)
PROXY_FUNCTION(ordinal_421)
PROXY_FUNCTION(ordinal_422)
PROXY_FUNCTION(ordinal_423)
PROXY_FUNCTION(ordinal_424)
PROXY_FUNCTION(ordinal_425)
PROXY_FUNCTION(ordinal_426)
PROXY_FUNCTION(ordinal_427)
PROXY_FUNCTION(ordinal_428)
PROXY_FUNCTION(ordinal_429)
PROXY_FUNCTION(ordinal_430)
PROXY_FUNCTION(ordinal_431)
PROXY_FUNCTION(ordinal_432)
PROXY_FUNCTION(ordinal_433)
PROXY_FUNCTION(ordinal_434)
PROXY_FUNCTION(ordinal_435)
PROXY_FUNCTION(ordinal_436)
PROXY_FUNCTION(ordinal_437)
PROXY_FUNCTION(ordinal_438)
PROXY_FUNCTION(ordinal_439)
PROXY_FUNCTION(ordinal_440)
PROXY_FUNCTION(ordinal_441)
PROXY_FUNCTION(ordinal_442)
PROXY_FUNCTION(ordinal_443)
PROXY_FUNCTION(ordinal_444)
PROXY_FUNCTION(ordinal_445)
PROXY_FUNCTION(ordinal_446)
PROXY_FUNCTION(ordinal_447)
PROXY_FUNCTION(ordinal_448)
PROXY_FUNCTION(ordinal_449)
PROXY_FUNCTION(ordinal_450)
PROXY_FUNCTION(ordinal_451)
PROXY_FUNCTION(ordinal_452)
PROXY_FUNCTION(ordinal_453)
PROXY_FUNCTION(ordinal_454)
PROXY_FUNCTION(ordinal_455)
PROXY_FUNCTION(ordinal_456)
PROXY_FUNCTION(ordinal_457)
PROXY_FUNCTION(ordinal_458)
PROXY_FUNCTION(ordinal_459)
PROXY_FUNCTION(ordinal_460)
PROXY_FUNCTION(ordinal_461)
PROXY_FUNCTION(ordinal_462)
PROXY_FUNCTION(ordinal_463)
PROXY_FUNCTION(ordinal_464)
PROXY_FUNCTION(ordinal_465)
PROXY_FUNCTION(ordinal_466)
PROXY_FUNCTION(ordinal_467)
PROXY_FUNCTION(ordinal_468)
PROXY_FUNCTION(ordinal_469)
PROXY_FUNCTION(ordinal_470)
PROXY_FUNCTION(ordinal_471)
PROXY_FUNCTION(ordinal_472)
PROXY_FUNCTION(ordinal_473)
PROXY_FUNCTION(ordinal_474)
PROXY_FUNCTION(ordinal_475)
PROXY_FUNCTION(ordinal_476)
PROXY_FUNCTION(ordinal_477)
PROXY_FUNCTION(ordinal_478)
PROXY_FUNCTION(ordinal_479)
PROXY_FUNCTION(ordinal_480)
PROXY_FUNCTION(ordinal_481)
PROXY_FUNCTION(ordinal_482)
PROXY_FUNCTION(ordinal_483)
PROXY_FUNCTION(ordinal_484)
PROXY_FUNCTION(ordinal_485)
PROXY_FUNCTION(ordinal_486)
PROXY_FUNCTION(ordinal_487)
PROXY_FUNCTION(ordinal_488)
PROXY_FUNCTION(ordinal_489)
PROXY_FUNCTION(ordinal_490)
PROXY_FUNCTION(ordinal_491)
PROXY_FUNCTION(ordinal_492)
PROXY_FUNCTION(ordinal_493)
PROXY_FUNCTION(ordinal_494)
PROXY_FUNCTION(ordinal_495)
PROXY_FUNCTION(ordinal_496)
PROXY_FUNCTION(ordinal_497)
PROXY_FUNCTION(ordinal_498)
PROXY_FUNCTION(ordinal_499)
PROXY_FUNCTION(WEP)

BOOL InitInstance(void) {
    char    winpath[MAX_PATH];

    if(hm) return(TRUE);
#ifdef DLL_PATH
    strcpy(winpath, DLL_PATH);
#else
    GetSystemDirectory(winpath, sizeof(winpath));
#endif
    strcat(winpath, "\\" DLL_NAME);

    hm = LoadLibrary(winpath);
    if(!hm) return(FALSE);

    _accept = (void *)GetProcAddress(hm, "accept");
    _bind = (void *)GetProcAddress(hm, "bind");
    _closesocket = (void *)GetProcAddress(hm, "closesocket");
    _connect = (void *)GetProcAddress(hm, "connect");
    _getpeername = (void *)GetProcAddress(hm, "getpeername");
    _getsockname = (void *)GetProcAddress(hm, "getsockname");
    _getsockopt = (void *)GetProcAddress(hm, "getsockopt");
    _htonl = (void *)GetProcAddress(hm, "htonl");
    _htons = (void *)GetProcAddress(hm, "htons");
    _ioctlsocket = (void *)GetProcAddress(hm, "ioctlsocket");
    _inet_addr = (void *)GetProcAddress(hm, "inet_addr");
    _inet_ntoa = (void *)GetProcAddress(hm, "inet_ntoa");
    _listen = (void *)GetProcAddress(hm, "listen");
    _ntohl = (void *)GetProcAddress(hm, "ntohl");
    _ntohs = (void *)GetProcAddress(hm, "ntohs");
    _recv = (void *)GetProcAddress(hm, "recv");
    _recvfrom = (void *)GetProcAddress(hm, "recvfrom");
    _select = (void *)GetProcAddress(hm, "select");
    _send = (void *)GetProcAddress(hm, "send");
    _sendto = (void *)GetProcAddress(hm, "sendto");
    _setsockopt = (void *)GetProcAddress(hm, "setsockopt");
    _shutdown = (void *)GetProcAddress(hm, "shutdown");
    _socket = (void *)GetProcAddress(hm, "socket");
    _WSApSetPostRoutine = (void *)GetProcAddress(hm, "WSApSetPostRoutine");
    _FreeAddrInfoEx = (void *)GetProcAddress(hm, "FreeAddrInfoEx");
    _FreeAddrInfoExW = (void *)GetProcAddress(hm, "FreeAddrInfoExW");
    _FreeAddrInfoW = (void *)GetProcAddress(hm, "FreeAddrInfoW");
    _GetAddrInfoExA = (void *)GetProcAddress(hm, "GetAddrInfoExA");
    _GetAddrInfoExW = (void *)GetProcAddress(hm, "GetAddrInfoExW");
    _GetAddrInfoW = (void *)GetProcAddress(hm, "GetAddrInfoW");
    _GetNameInfoW = (void *)GetProcAddress(hm, "GetNameInfoW");
    _InetNtopW = (void *)GetProcAddress(hm, "InetNtopW");
    _InetPtonW = (void *)GetProcAddress(hm, "InetPtonW");
    _SetAddrInfoExA = (void *)GetProcAddress(hm, "SetAddrInfoExA");
    _SetAddrInfoExW = (void *)GetProcAddress(hm, "SetAddrInfoExW");
    _WPUCompleteOverlappedRequest = (void *)GetProcAddress(hm, "WPUCompleteOverlappedRequest");
    _WSAAccept = (void *)GetProcAddress(hm, "WSAAccept");
    _WSAAddressToStringA = (void *)GetProcAddress(hm, "WSAAddressToStringA");
    _WSAAddressToStringW = (void *)GetProcAddress(hm, "WSAAddressToStringW");
    _WSAAdvertiseProvider = (void *)GetProcAddress(hm, "WSAAdvertiseProvider");
    _WSACloseEvent = (void *)GetProcAddress(hm, "WSACloseEvent");
    _WSAConnect = (void *)GetProcAddress(hm, "WSAConnect");
    _WSAConnectByList = (void *)GetProcAddress(hm, "WSAConnectByList");
    _WSAConnectByNameA = (void *)GetProcAddress(hm, "WSAConnectByNameA");
    _WSAConnectByNameW = (void *)GetProcAddress(hm, "WSAConnectByNameW");
    _WSACreateEvent = (void *)GetProcAddress(hm, "WSACreateEvent");
    _WSADuplicateSocketA = (void *)GetProcAddress(hm, "WSADuplicateSocketA");
    _WSADuplicateSocketW = (void *)GetProcAddress(hm, "WSADuplicateSocketW");
    _WSAEnumNameSpaceProvidersA = (void *)GetProcAddress(hm, "WSAEnumNameSpaceProvidersA");
    _WSAEnumNameSpaceProvidersExA = (void *)GetProcAddress(hm, "WSAEnumNameSpaceProvidersExA");
    _gethostbyaddr = (void *)GetProcAddress(hm, "gethostbyaddr");
    _gethostbyname = (void *)GetProcAddress(hm, "gethostbyname");
    _getprotobyname = (void *)GetProcAddress(hm, "getprotobyname");
    _getprotobynumber = (void *)GetProcAddress(hm, "getprotobynumber");
    _getservbyname = (void *)GetProcAddress(hm, "getservbyname");
    _getservbyport = (void *)GetProcAddress(hm, "getservbyport");
    _gethostname = (void *)GetProcAddress(hm, "gethostname");
    _WSAEnumNameSpaceProvidersExW = (void *)GetProcAddress(hm, "WSAEnumNameSpaceProvidersExW");
    _WSAEnumNameSpaceProvidersW = (void *)GetProcAddress(hm, "WSAEnumNameSpaceProvidersW");
    _WSAEnumNetworkEvents = (void *)GetProcAddress(hm, "WSAEnumNetworkEvents");
    _WSAEnumProtocolsA = (void *)GetProcAddress(hm, "WSAEnumProtocolsA");
    _WSAEnumProtocolsW = (void *)GetProcAddress(hm, "WSAEnumProtocolsW");
    _WSAEventSelect = (void *)GetProcAddress(hm, "WSAEventSelect");
    _WSAGetOverlappedResult = (void *)GetProcAddress(hm, "WSAGetOverlappedResult");
    _WSAGetQOSByName = (void *)GetProcAddress(hm, "WSAGetQOSByName");
    _WSAGetServiceClassInfoA = (void *)GetProcAddress(hm, "WSAGetServiceClassInfoA");
    _WSAGetServiceClassInfoW = (void *)GetProcAddress(hm, "WSAGetServiceClassInfoW");
    _WSAGetServiceClassNameByClassIdA = (void *)GetProcAddress(hm, "WSAGetServiceClassNameByClassIdA");
    _WSAGetServiceClassNameByClassIdW = (void *)GetProcAddress(hm, "WSAGetServiceClassNameByClassIdW");
    _WSAHtonl = (void *)GetProcAddress(hm, "WSAHtonl");
    _WSAHtons = (void *)GetProcAddress(hm, "WSAHtons");
    _WSAInstallServiceClassA = (void *)GetProcAddress(hm, "WSAInstallServiceClassA");
    _WSAInstallServiceClassW = (void *)GetProcAddress(hm, "WSAInstallServiceClassW");
    _WSAIoctl = (void *)GetProcAddress(hm, "WSAIoctl");
    _WSAJoinLeaf = (void *)GetProcAddress(hm, "WSAJoinLeaf");
    _WSALookupServiceBeginA = (void *)GetProcAddress(hm, "WSALookupServiceBeginA");
    _WSALookupServiceBeginW = (void *)GetProcAddress(hm, "WSALookupServiceBeginW");
    _WSALookupServiceEnd = (void *)GetProcAddress(hm, "WSALookupServiceEnd");
    _WSALookupServiceNextA = (void *)GetProcAddress(hm, "WSALookupServiceNextA");
    _WSALookupServiceNextW = (void *)GetProcAddress(hm, "WSALookupServiceNextW");
    _WSANSPIoctl = (void *)GetProcAddress(hm, "WSANSPIoctl");
    _WSANtohl = (void *)GetProcAddress(hm, "WSANtohl");
    _WSANtohs = (void *)GetProcAddress(hm, "WSANtohs");
    _WSAPoll = (void *)GetProcAddress(hm, "WSAPoll");
    _WSAProviderCompleteAsyncCall = (void *)GetProcAddress(hm, "WSAProviderCompleteAsyncCall");
    _WSAProviderConfigChange = (void *)GetProcAddress(hm, "WSAProviderConfigChange");
    _WSARecv = (void *)GetProcAddress(hm, "WSARecv");
    _WSARecvDisconnect = (void *)GetProcAddress(hm, "WSARecvDisconnect");
    _WSARecvFrom = (void *)GetProcAddress(hm, "WSARecvFrom");
    _WSARemoveServiceClass = (void *)GetProcAddress(hm, "WSARemoveServiceClass");
    _WSAResetEvent = (void *)GetProcAddress(hm, "WSAResetEvent");
    _WSASend = (void *)GetProcAddress(hm, "WSASend");
    _WSASendDisconnect = (void *)GetProcAddress(hm, "WSASendDisconnect");
    _WSASendMsg = (void *)GetProcAddress(hm, "WSASendMsg");
    _WSASendTo = (void *)GetProcAddress(hm, "WSASendTo");
    _WSASetEvent = (void *)GetProcAddress(hm, "WSASetEvent");
    _WSASetServiceA = (void *)GetProcAddress(hm, "WSASetServiceA");
    _WSASetServiceW = (void *)GetProcAddress(hm, "WSASetServiceW");
    _WSASocketA = (void *)GetProcAddress(hm, "WSASocketA");
    _WSASocketW = (void *)GetProcAddress(hm, "WSASocketW");
    _WSAAsyncSelect = (void *)GetProcAddress(hm, "WSAAsyncSelect");
    _WSAAsyncGetHostByAddr = (void *)GetProcAddress(hm, "WSAAsyncGetHostByAddr");
    _WSAAsyncGetHostByName = (void *)GetProcAddress(hm, "WSAAsyncGetHostByName");
    _WSAAsyncGetProtoByNumber = (void *)GetProcAddress(hm, "WSAAsyncGetProtoByNumber");
    _WSAAsyncGetProtoByName = (void *)GetProcAddress(hm, "WSAAsyncGetProtoByName");
    _WSAAsyncGetServByPort = (void *)GetProcAddress(hm, "WSAAsyncGetServByPort");
    _WSAAsyncGetServByName = (void *)GetProcAddress(hm, "WSAAsyncGetServByName");
    _WSACancelAsyncRequest = (void *)GetProcAddress(hm, "WSACancelAsyncRequest");
    _WSASetBlockingHook = (void *)GetProcAddress(hm, "WSASetBlockingHook");
    _WSAUnhookBlockingHook = (void *)GetProcAddress(hm, "WSAUnhookBlockingHook");
    _WSAGetLastError = (void *)GetProcAddress(hm, "WSAGetLastError");
    _WSASetLastError = (void *)GetProcAddress(hm, "WSASetLastError");
    _WSACancelBlockingCall = (void *)GetProcAddress(hm, "WSACancelBlockingCall");
    _WSAIsBlocking = (void *)GetProcAddress(hm, "WSAIsBlocking");
    _WSAStartup = (void *)GetProcAddress(hm, "WSAStartup");
    _WSACleanup = (void *)GetProcAddress(hm, "WSACleanup");
    _WSAStringToAddressA = (void *)GetProcAddress(hm, "WSAStringToAddressA");
    _WSAStringToAddressW = (void *)GetProcAddress(hm, "WSAStringToAddressW");
    _WSAUnadvertiseProvider = (void *)GetProcAddress(hm, "WSAUnadvertiseProvider");
    _WSAWaitForMultipleEvents = (void *)GetProcAddress(hm, "WSAWaitForMultipleEvents");
    _WSCDeinstallProvider = (void *)GetProcAddress(hm, "WSCDeinstallProvider");
    _WSCEnableNSProvider = (void *)GetProcAddress(hm, "WSCEnableNSProvider");
    _WSCEnumProtocols = (void *)GetProcAddress(hm, "WSCEnumProtocols");
    _WSCGetApplicationCategory = (void *)GetProcAddress(hm, "WSCGetApplicationCategory");
    _WSCGetProviderInfo = (void *)GetProcAddress(hm, "WSCGetProviderInfo");
    _WSCGetProviderPath = (void *)GetProcAddress(hm, "WSCGetProviderPath");
    _WSCInstallNameSpace = (void *)GetProcAddress(hm, "WSCInstallNameSpace");
    _WSCInstallNameSpaceEx = (void *)GetProcAddress(hm, "WSCInstallNameSpaceEx");
    _WSCInstallProvider = (void *)GetProcAddress(hm, "WSCInstallProvider");
    _WSCInstallProviderAndChains = (void *)GetProcAddress(hm, "WSCInstallProviderAndChains");
    _WSCSetApplicationCategory = (void *)GetProcAddress(hm, "WSCSetApplicationCategory");
    _WSCSetProviderInfo = (void *)GetProcAddress(hm, "WSCSetProviderInfo");
    _WSCUnInstallNameSpace = (void *)GetProcAddress(hm, "WSCUnInstallNameSpace");
    _WSCUpdateProvider = (void *)GetProcAddress(hm, "WSCUpdateProvider");
    _WSCWriteNameSpaceOrder = (void *)GetProcAddress(hm, "WSCWriteNameSpaceOrder");
    _WSCWriteProviderOrder = (void *)GetProcAddress(hm, "WSCWriteProviderOrder");
    _WahCloseApcHelper = (void *)GetProcAddress(hm, "WahCloseApcHelper");
    _WahCloseHandleHelper = (void *)GetProcAddress(hm, "WahCloseHandleHelper");
    _WahCloseNotificationHandleHelper = (void *)GetProcAddress(hm, "WahCloseNotificationHandleHelper");
    _WahCloseSocketHandle = (void *)GetProcAddress(hm, "WahCloseSocketHandle");
    _WahCloseThread = (void *)GetProcAddress(hm, "WahCloseThread");
    _WahCompleteRequest = (void *)GetProcAddress(hm, "WahCompleteRequest");
    _WahCreateHandleContextTable = (void *)GetProcAddress(hm, "WahCreateHandleContextTable");
    _WahCreateNotificationHandle = (void *)GetProcAddress(hm, "WahCreateNotificationHandle");
    _WahCreateSocketHandle = (void *)GetProcAddress(hm, "WahCreateSocketHandle");
    _WahDestroyHandleContextTable = (void *)GetProcAddress(hm, "WahDestroyHandleContextTable");
    _WahDisableNonIFSHandleSupport = (void *)GetProcAddress(hm, "WahDisableNonIFSHandleSupport");
    _WahEnableNonIFSHandleSupport = (void *)GetProcAddress(hm, "WahEnableNonIFSHandleSupport");
    _WahEnumerateHandleContexts = (void *)GetProcAddress(hm, "WahEnumerateHandleContexts");
    _WahInsertHandleContext = (void *)GetProcAddress(hm, "WahInsertHandleContext");
    ___WSAFDIsSet = (void *)GetProcAddress(hm, "__WSAFDIsSet");
    _WahNotifyAllProcesses = (void *)GetProcAddress(hm, "WahNotifyAllProcesses");
    _WahOpenApcHelper = (void *)GetProcAddress(hm, "WahOpenApcHelper");
    _WahOpenCurrentThread = (void *)GetProcAddress(hm, "WahOpenCurrentThread");
    _WahOpenHandleHelper = (void *)GetProcAddress(hm, "WahOpenHandleHelper");
    _WahOpenNotificationHandleHelper = (void *)GetProcAddress(hm, "WahOpenNotificationHandleHelper");
    _WahQueueUserApc = (void *)GetProcAddress(hm, "WahQueueUserApc");
    _WahReferenceContextByHandle = (void *)GetProcAddress(hm, "WahReferenceContextByHandle");
    _WahRemoveHandleContext = (void *)GetProcAddress(hm, "WahRemoveHandleContext");
    _WahWaitForNotification = (void *)GetProcAddress(hm, "WahWaitForNotification");
    _WahWriteLSPEvent = (void *)GetProcAddress(hm, "WahWriteLSPEvent");
    _freeaddrinfo = (void *)GetProcAddress(hm, "freeaddrinfo");
    _getaddrinfo = (void *)GetProcAddress(hm, "getaddrinfo");
    _getnameinfo = (void *)GetProcAddress(hm, "getnameinfo");
    _inet_ntop = (void *)GetProcAddress(hm, "inet_ntop");
    _inet_pton = (void *)GetProcAddress(hm, "inet_pton");
    _ordinal_167 = (void *)GetProcAddress(hm, (LPCSTR)167);
    _ordinal_168 = (void *)GetProcAddress(hm, (LPCSTR)168);
    _ordinal_169 = (void *)GetProcAddress(hm, (LPCSTR)169);
    _ordinal_170 = (void *)GetProcAddress(hm, (LPCSTR)170);
    _ordinal_171 = (void *)GetProcAddress(hm, (LPCSTR)171);
    _ordinal_172 = (void *)GetProcAddress(hm, (LPCSTR)172);
    _ordinal_173 = (void *)GetProcAddress(hm, (LPCSTR)173);
    _ordinal_174 = (void *)GetProcAddress(hm, (LPCSTR)174);
    _ordinal_175 = (void *)GetProcAddress(hm, (LPCSTR)175);
    _ordinal_176 = (void *)GetProcAddress(hm, (LPCSTR)176);
    _ordinal_177 = (void *)GetProcAddress(hm, (LPCSTR)177);
    _ordinal_178 = (void *)GetProcAddress(hm, (LPCSTR)178);
    _ordinal_179 = (void *)GetProcAddress(hm, (LPCSTR)179);
    _ordinal_180 = (void *)GetProcAddress(hm, (LPCSTR)180);
    _ordinal_181 = (void *)GetProcAddress(hm, (LPCSTR)181);
    _ordinal_182 = (void *)GetProcAddress(hm, (LPCSTR)182);
    _ordinal_183 = (void *)GetProcAddress(hm, (LPCSTR)183);
    _ordinal_184 = (void *)GetProcAddress(hm, (LPCSTR)184);
    _ordinal_185 = (void *)GetProcAddress(hm, (LPCSTR)185);
    _ordinal_186 = (void *)GetProcAddress(hm, (LPCSTR)186);
    _ordinal_187 = (void *)GetProcAddress(hm, (LPCSTR)187);
    _ordinal_188 = (void *)GetProcAddress(hm, (LPCSTR)188);
    _ordinal_189 = (void *)GetProcAddress(hm, (LPCSTR)189);
    _ordinal_190 = (void *)GetProcAddress(hm, (LPCSTR)190);
    _ordinal_191 = (void *)GetProcAddress(hm, (LPCSTR)191);
    _ordinal_192 = (void *)GetProcAddress(hm, (LPCSTR)192);
    _ordinal_193 = (void *)GetProcAddress(hm, (LPCSTR)193);
    _ordinal_194 = (void *)GetProcAddress(hm, (LPCSTR)194);
    _ordinal_195 = (void *)GetProcAddress(hm, (LPCSTR)195);
    _ordinal_196 = (void *)GetProcAddress(hm, (LPCSTR)196);
    _ordinal_197 = (void *)GetProcAddress(hm, (LPCSTR)197);
    _ordinal_198 = (void *)GetProcAddress(hm, (LPCSTR)198);
    _ordinal_199 = (void *)GetProcAddress(hm, (LPCSTR)199);
    _ordinal_200 = (void *)GetProcAddress(hm, (LPCSTR)200);
    _ordinal_201 = (void *)GetProcAddress(hm, (LPCSTR)201);
    _ordinal_202 = (void *)GetProcAddress(hm, (LPCSTR)202);
    _ordinal_203 = (void *)GetProcAddress(hm, (LPCSTR)203);
    _ordinal_204 = (void *)GetProcAddress(hm, (LPCSTR)204);
    _ordinal_205 = (void *)GetProcAddress(hm, (LPCSTR)205);
    _ordinal_206 = (void *)GetProcAddress(hm, (LPCSTR)206);
    _ordinal_207 = (void *)GetProcAddress(hm, (LPCSTR)207);
    _ordinal_208 = (void *)GetProcAddress(hm, (LPCSTR)208);
    _ordinal_209 = (void *)GetProcAddress(hm, (LPCSTR)209);
    _ordinal_210 = (void *)GetProcAddress(hm, (LPCSTR)210);
    _ordinal_211 = (void *)GetProcAddress(hm, (LPCSTR)211);
    _ordinal_212 = (void *)GetProcAddress(hm, (LPCSTR)212);
    _ordinal_213 = (void *)GetProcAddress(hm, (LPCSTR)213);
    _ordinal_214 = (void *)GetProcAddress(hm, (LPCSTR)214);
    _ordinal_215 = (void *)GetProcAddress(hm, (LPCSTR)215);
    _ordinal_216 = (void *)GetProcAddress(hm, (LPCSTR)216);
    _ordinal_217 = (void *)GetProcAddress(hm, (LPCSTR)217);
    _ordinal_218 = (void *)GetProcAddress(hm, (LPCSTR)218);
    _ordinal_219 = (void *)GetProcAddress(hm, (LPCSTR)219);
    _ordinal_220 = (void *)GetProcAddress(hm, (LPCSTR)220);
    _ordinal_221 = (void *)GetProcAddress(hm, (LPCSTR)221);
    _ordinal_222 = (void *)GetProcAddress(hm, (LPCSTR)222);
    _ordinal_223 = (void *)GetProcAddress(hm, (LPCSTR)223);
    _ordinal_224 = (void *)GetProcAddress(hm, (LPCSTR)224);
    _ordinal_225 = (void *)GetProcAddress(hm, (LPCSTR)225);
    _ordinal_226 = (void *)GetProcAddress(hm, (LPCSTR)226);
    _ordinal_227 = (void *)GetProcAddress(hm, (LPCSTR)227);
    _ordinal_228 = (void *)GetProcAddress(hm, (LPCSTR)228);
    _ordinal_229 = (void *)GetProcAddress(hm, (LPCSTR)229);
    _ordinal_230 = (void *)GetProcAddress(hm, (LPCSTR)230);
    _ordinal_231 = (void *)GetProcAddress(hm, (LPCSTR)231);
    _ordinal_232 = (void *)GetProcAddress(hm, (LPCSTR)232);
    _ordinal_233 = (void *)GetProcAddress(hm, (LPCSTR)233);
    _ordinal_234 = (void *)GetProcAddress(hm, (LPCSTR)234);
    _ordinal_235 = (void *)GetProcAddress(hm, (LPCSTR)235);
    _ordinal_236 = (void *)GetProcAddress(hm, (LPCSTR)236);
    _ordinal_237 = (void *)GetProcAddress(hm, (LPCSTR)237);
    _ordinal_238 = (void *)GetProcAddress(hm, (LPCSTR)238);
    _ordinal_239 = (void *)GetProcAddress(hm, (LPCSTR)239);
    _ordinal_240 = (void *)GetProcAddress(hm, (LPCSTR)240);
    _ordinal_241 = (void *)GetProcAddress(hm, (LPCSTR)241);
    _ordinal_242 = (void *)GetProcAddress(hm, (LPCSTR)242);
    _ordinal_243 = (void *)GetProcAddress(hm, (LPCSTR)243);
    _ordinal_244 = (void *)GetProcAddress(hm, (LPCSTR)244);
    _ordinal_245 = (void *)GetProcAddress(hm, (LPCSTR)245);
    _ordinal_246 = (void *)GetProcAddress(hm, (LPCSTR)246);
    _ordinal_247 = (void *)GetProcAddress(hm, (LPCSTR)247);
    _ordinal_248 = (void *)GetProcAddress(hm, (LPCSTR)248);
    _ordinal_249 = (void *)GetProcAddress(hm, (LPCSTR)249);
    _ordinal_250 = (void *)GetProcAddress(hm, (LPCSTR)250);
    _ordinal_251 = (void *)GetProcAddress(hm, (LPCSTR)251);
    _ordinal_252 = (void *)GetProcAddress(hm, (LPCSTR)252);
    _ordinal_253 = (void *)GetProcAddress(hm, (LPCSTR)253);
    _ordinal_254 = (void *)GetProcAddress(hm, (LPCSTR)254);
    _ordinal_255 = (void *)GetProcAddress(hm, (LPCSTR)255);
    _ordinal_256 = (void *)GetProcAddress(hm, (LPCSTR)256);
    _ordinal_257 = (void *)GetProcAddress(hm, (LPCSTR)257);
    _ordinal_258 = (void *)GetProcAddress(hm, (LPCSTR)258);
    _ordinal_259 = (void *)GetProcAddress(hm, (LPCSTR)259);
    _ordinal_260 = (void *)GetProcAddress(hm, (LPCSTR)260);
    _ordinal_261 = (void *)GetProcAddress(hm, (LPCSTR)261);
    _ordinal_262 = (void *)GetProcAddress(hm, (LPCSTR)262);
    _ordinal_263 = (void *)GetProcAddress(hm, (LPCSTR)263);
    _ordinal_264 = (void *)GetProcAddress(hm, (LPCSTR)264);
    _ordinal_265 = (void *)GetProcAddress(hm, (LPCSTR)265);
    _ordinal_266 = (void *)GetProcAddress(hm, (LPCSTR)266);
    _ordinal_267 = (void *)GetProcAddress(hm, (LPCSTR)267);
    _ordinal_268 = (void *)GetProcAddress(hm, (LPCSTR)268);
    _ordinal_269 = (void *)GetProcAddress(hm, (LPCSTR)269);
    _ordinal_270 = (void *)GetProcAddress(hm, (LPCSTR)270);
    _ordinal_271 = (void *)GetProcAddress(hm, (LPCSTR)271);
    _ordinal_272 = (void *)GetProcAddress(hm, (LPCSTR)272);
    _ordinal_273 = (void *)GetProcAddress(hm, (LPCSTR)273);
    _ordinal_274 = (void *)GetProcAddress(hm, (LPCSTR)274);
    _ordinal_275 = (void *)GetProcAddress(hm, (LPCSTR)275);
    _ordinal_276 = (void *)GetProcAddress(hm, (LPCSTR)276);
    _ordinal_277 = (void *)GetProcAddress(hm, (LPCSTR)277);
    _ordinal_278 = (void *)GetProcAddress(hm, (LPCSTR)278);
    _ordinal_279 = (void *)GetProcAddress(hm, (LPCSTR)279);
    _ordinal_280 = (void *)GetProcAddress(hm, (LPCSTR)280);
    _ordinal_281 = (void *)GetProcAddress(hm, (LPCSTR)281);
    _ordinal_282 = (void *)GetProcAddress(hm, (LPCSTR)282);
    _ordinal_283 = (void *)GetProcAddress(hm, (LPCSTR)283);
    _ordinal_284 = (void *)GetProcAddress(hm, (LPCSTR)284);
    _ordinal_285 = (void *)GetProcAddress(hm, (LPCSTR)285);
    _ordinal_286 = (void *)GetProcAddress(hm, (LPCSTR)286);
    _ordinal_287 = (void *)GetProcAddress(hm, (LPCSTR)287);
    _ordinal_288 = (void *)GetProcAddress(hm, (LPCSTR)288);
    _ordinal_289 = (void *)GetProcAddress(hm, (LPCSTR)289);
    _ordinal_290 = (void *)GetProcAddress(hm, (LPCSTR)290);
    _ordinal_291 = (void *)GetProcAddress(hm, (LPCSTR)291);
    _ordinal_292 = (void *)GetProcAddress(hm, (LPCSTR)292);
    _ordinal_293 = (void *)GetProcAddress(hm, (LPCSTR)293);
    _ordinal_294 = (void *)GetProcAddress(hm, (LPCSTR)294);
    _ordinal_295 = (void *)GetProcAddress(hm, (LPCSTR)295);
    _ordinal_296 = (void *)GetProcAddress(hm, (LPCSTR)296);
    _ordinal_297 = (void *)GetProcAddress(hm, (LPCSTR)297);
    _ordinal_298 = (void *)GetProcAddress(hm, (LPCSTR)298);
    _ordinal_299 = (void *)GetProcAddress(hm, (LPCSTR)299);
    _ordinal_300 = (void *)GetProcAddress(hm, (LPCSTR)300);
    _ordinal_301 = (void *)GetProcAddress(hm, (LPCSTR)301);
    _ordinal_302 = (void *)GetProcAddress(hm, (LPCSTR)302);
    _ordinal_303 = (void *)GetProcAddress(hm, (LPCSTR)303);
    _ordinal_304 = (void *)GetProcAddress(hm, (LPCSTR)304);
    _ordinal_305 = (void *)GetProcAddress(hm, (LPCSTR)305);
    _ordinal_306 = (void *)GetProcAddress(hm, (LPCSTR)306);
    _ordinal_307 = (void *)GetProcAddress(hm, (LPCSTR)307);
    _ordinal_308 = (void *)GetProcAddress(hm, (LPCSTR)308);
    _ordinal_309 = (void *)GetProcAddress(hm, (LPCSTR)309);
    _ordinal_310 = (void *)GetProcAddress(hm, (LPCSTR)310);
    _ordinal_311 = (void *)GetProcAddress(hm, (LPCSTR)311);
    _ordinal_312 = (void *)GetProcAddress(hm, (LPCSTR)312);
    _ordinal_313 = (void *)GetProcAddress(hm, (LPCSTR)313);
    _ordinal_314 = (void *)GetProcAddress(hm, (LPCSTR)314);
    _ordinal_315 = (void *)GetProcAddress(hm, (LPCSTR)315);
    _ordinal_316 = (void *)GetProcAddress(hm, (LPCSTR)316);
    _ordinal_317 = (void *)GetProcAddress(hm, (LPCSTR)317);
    _ordinal_318 = (void *)GetProcAddress(hm, (LPCSTR)318);
    _ordinal_319 = (void *)GetProcAddress(hm, (LPCSTR)319);
    _ordinal_320 = (void *)GetProcAddress(hm, (LPCSTR)320);
    _ordinal_321 = (void *)GetProcAddress(hm, (LPCSTR)321);
    _ordinal_322 = (void *)GetProcAddress(hm, (LPCSTR)322);
    _ordinal_323 = (void *)GetProcAddress(hm, (LPCSTR)323);
    _ordinal_324 = (void *)GetProcAddress(hm, (LPCSTR)324);
    _ordinal_325 = (void *)GetProcAddress(hm, (LPCSTR)325);
    _ordinal_326 = (void *)GetProcAddress(hm, (LPCSTR)326);
    _ordinal_327 = (void *)GetProcAddress(hm, (LPCSTR)327);
    _ordinal_328 = (void *)GetProcAddress(hm, (LPCSTR)328);
    _ordinal_329 = (void *)GetProcAddress(hm, (LPCSTR)329);
    _ordinal_330 = (void *)GetProcAddress(hm, (LPCSTR)330);
    _ordinal_331 = (void *)GetProcAddress(hm, (LPCSTR)331);
    _ordinal_332 = (void *)GetProcAddress(hm, (LPCSTR)332);
    _ordinal_333 = (void *)GetProcAddress(hm, (LPCSTR)333);
    _ordinal_334 = (void *)GetProcAddress(hm, (LPCSTR)334);
    _ordinal_335 = (void *)GetProcAddress(hm, (LPCSTR)335);
    _ordinal_336 = (void *)GetProcAddress(hm, (LPCSTR)336);
    _ordinal_337 = (void *)GetProcAddress(hm, (LPCSTR)337);
    _ordinal_338 = (void *)GetProcAddress(hm, (LPCSTR)338);
    _ordinal_339 = (void *)GetProcAddress(hm, (LPCSTR)339);
    _ordinal_340 = (void *)GetProcAddress(hm, (LPCSTR)340);
    _ordinal_341 = (void *)GetProcAddress(hm, (LPCSTR)341);
    _ordinal_342 = (void *)GetProcAddress(hm, (LPCSTR)342);
    _ordinal_343 = (void *)GetProcAddress(hm, (LPCSTR)343);
    _ordinal_344 = (void *)GetProcAddress(hm, (LPCSTR)344);
    _ordinal_345 = (void *)GetProcAddress(hm, (LPCSTR)345);
    _ordinal_346 = (void *)GetProcAddress(hm, (LPCSTR)346);
    _ordinal_347 = (void *)GetProcAddress(hm, (LPCSTR)347);
    _ordinal_348 = (void *)GetProcAddress(hm, (LPCSTR)348);
    _ordinal_349 = (void *)GetProcAddress(hm, (LPCSTR)349);
    _ordinal_350 = (void *)GetProcAddress(hm, (LPCSTR)350);
    _ordinal_351 = (void *)GetProcAddress(hm, (LPCSTR)351);
    _ordinal_352 = (void *)GetProcAddress(hm, (LPCSTR)352);
    _ordinal_353 = (void *)GetProcAddress(hm, (LPCSTR)353);
    _ordinal_354 = (void *)GetProcAddress(hm, (LPCSTR)354);
    _ordinal_355 = (void *)GetProcAddress(hm, (LPCSTR)355);
    _ordinal_356 = (void *)GetProcAddress(hm, (LPCSTR)356);
    _ordinal_357 = (void *)GetProcAddress(hm, (LPCSTR)357);
    _ordinal_358 = (void *)GetProcAddress(hm, (LPCSTR)358);
    _ordinal_359 = (void *)GetProcAddress(hm, (LPCSTR)359);
    _ordinal_360 = (void *)GetProcAddress(hm, (LPCSTR)360);
    _ordinal_361 = (void *)GetProcAddress(hm, (LPCSTR)361);
    _ordinal_362 = (void *)GetProcAddress(hm, (LPCSTR)362);
    _ordinal_363 = (void *)GetProcAddress(hm, (LPCSTR)363);
    _ordinal_364 = (void *)GetProcAddress(hm, (LPCSTR)364);
    _ordinal_365 = (void *)GetProcAddress(hm, (LPCSTR)365);
    _ordinal_366 = (void *)GetProcAddress(hm, (LPCSTR)366);
    _ordinal_367 = (void *)GetProcAddress(hm, (LPCSTR)367);
    _ordinal_368 = (void *)GetProcAddress(hm, (LPCSTR)368);
    _ordinal_369 = (void *)GetProcAddress(hm, (LPCSTR)369);
    _ordinal_370 = (void *)GetProcAddress(hm, (LPCSTR)370);
    _ordinal_371 = (void *)GetProcAddress(hm, (LPCSTR)371);
    _ordinal_372 = (void *)GetProcAddress(hm, (LPCSTR)372);
    _ordinal_373 = (void *)GetProcAddress(hm, (LPCSTR)373);
    _ordinal_374 = (void *)GetProcAddress(hm, (LPCSTR)374);
    _ordinal_375 = (void *)GetProcAddress(hm, (LPCSTR)375);
    _ordinal_376 = (void *)GetProcAddress(hm, (LPCSTR)376);
    _ordinal_377 = (void *)GetProcAddress(hm, (LPCSTR)377);
    _ordinal_378 = (void *)GetProcAddress(hm, (LPCSTR)378);
    _ordinal_379 = (void *)GetProcAddress(hm, (LPCSTR)379);
    _ordinal_380 = (void *)GetProcAddress(hm, (LPCSTR)380);
    _ordinal_381 = (void *)GetProcAddress(hm, (LPCSTR)381);
    _ordinal_382 = (void *)GetProcAddress(hm, (LPCSTR)382);
    _ordinal_383 = (void *)GetProcAddress(hm, (LPCSTR)383);
    _ordinal_384 = (void *)GetProcAddress(hm, (LPCSTR)384);
    _ordinal_385 = (void *)GetProcAddress(hm, (LPCSTR)385);
    _ordinal_386 = (void *)GetProcAddress(hm, (LPCSTR)386);
    _ordinal_387 = (void *)GetProcAddress(hm, (LPCSTR)387);
    _ordinal_388 = (void *)GetProcAddress(hm, (LPCSTR)388);
    _ordinal_389 = (void *)GetProcAddress(hm, (LPCSTR)389);
    _ordinal_390 = (void *)GetProcAddress(hm, (LPCSTR)390);
    _ordinal_391 = (void *)GetProcAddress(hm, (LPCSTR)391);
    _ordinal_392 = (void *)GetProcAddress(hm, (LPCSTR)392);
    _ordinal_393 = (void *)GetProcAddress(hm, (LPCSTR)393);
    _ordinal_394 = (void *)GetProcAddress(hm, (LPCSTR)394);
    _ordinal_395 = (void *)GetProcAddress(hm, (LPCSTR)395);
    _ordinal_396 = (void *)GetProcAddress(hm, (LPCSTR)396);
    _ordinal_397 = (void *)GetProcAddress(hm, (LPCSTR)397);
    _ordinal_398 = (void *)GetProcAddress(hm, (LPCSTR)398);
    _ordinal_399 = (void *)GetProcAddress(hm, (LPCSTR)399);
    _ordinal_400 = (void *)GetProcAddress(hm, (LPCSTR)400);
    _ordinal_401 = (void *)GetProcAddress(hm, (LPCSTR)401);
    _ordinal_402 = (void *)GetProcAddress(hm, (LPCSTR)402);
    _ordinal_403 = (void *)GetProcAddress(hm, (LPCSTR)403);
    _ordinal_404 = (void *)GetProcAddress(hm, (LPCSTR)404);
    _ordinal_405 = (void *)GetProcAddress(hm, (LPCSTR)405);
    _ordinal_406 = (void *)GetProcAddress(hm, (LPCSTR)406);
    _ordinal_407 = (void *)GetProcAddress(hm, (LPCSTR)407);
    _ordinal_408 = (void *)GetProcAddress(hm, (LPCSTR)408);
    _ordinal_409 = (void *)GetProcAddress(hm, (LPCSTR)409);
    _ordinal_410 = (void *)GetProcAddress(hm, (LPCSTR)410);
    _ordinal_411 = (void *)GetProcAddress(hm, (LPCSTR)411);
    _ordinal_412 = (void *)GetProcAddress(hm, (LPCSTR)412);
    _ordinal_413 = (void *)GetProcAddress(hm, (LPCSTR)413);
    _ordinal_414 = (void *)GetProcAddress(hm, (LPCSTR)414);
    _ordinal_415 = (void *)GetProcAddress(hm, (LPCSTR)415);
    _ordinal_416 = (void *)GetProcAddress(hm, (LPCSTR)416);
    _ordinal_417 = (void *)GetProcAddress(hm, (LPCSTR)417);
    _ordinal_418 = (void *)GetProcAddress(hm, (LPCSTR)418);
    _ordinal_419 = (void *)GetProcAddress(hm, (LPCSTR)419);
    _ordinal_420 = (void *)GetProcAddress(hm, (LPCSTR)420);
    _ordinal_421 = (void *)GetProcAddress(hm, (LPCSTR)421);
    _ordinal_422 = (void *)GetProcAddress(hm, (LPCSTR)422);
    _ordinal_423 = (void *)GetProcAddress(hm, (LPCSTR)423);
    _ordinal_424 = (void *)GetProcAddress(hm, (LPCSTR)424);
    _ordinal_425 = (void *)GetProcAddress(hm, (LPCSTR)425);
    _ordinal_426 = (void *)GetProcAddress(hm, (LPCSTR)426);
    _ordinal_427 = (void *)GetProcAddress(hm, (LPCSTR)427);
    _ordinal_428 = (void *)GetProcAddress(hm, (LPCSTR)428);
    _ordinal_429 = (void *)GetProcAddress(hm, (LPCSTR)429);
    _ordinal_430 = (void *)GetProcAddress(hm, (LPCSTR)430);
    _ordinal_431 = (void *)GetProcAddress(hm, (LPCSTR)431);
    _ordinal_432 = (void *)GetProcAddress(hm, (LPCSTR)432);
    _ordinal_433 = (void *)GetProcAddress(hm, (LPCSTR)433);
    _ordinal_434 = (void *)GetProcAddress(hm, (LPCSTR)434);
    _ordinal_435 = (void *)GetProcAddress(hm, (LPCSTR)435);
    _ordinal_436 = (void *)GetProcAddress(hm, (LPCSTR)436);
    _ordinal_437 = (void *)GetProcAddress(hm, (LPCSTR)437);
    _ordinal_438 = (void *)GetProcAddress(hm, (LPCSTR)438);
    _ordinal_439 = (void *)GetProcAddress(hm, (LPCSTR)439);
    _ordinal_440 = (void *)GetProcAddress(hm, (LPCSTR)440);
    _ordinal_441 = (void *)GetProcAddress(hm, (LPCSTR)441);
    _ordinal_442 = (void *)GetProcAddress(hm, (LPCSTR)442);
    _ordinal_443 = (void *)GetProcAddress(hm, (LPCSTR)443);
    _ordinal_444 = (void *)GetProcAddress(hm, (LPCSTR)444);
    _ordinal_445 = (void *)GetProcAddress(hm, (LPCSTR)445);
    _ordinal_446 = (void *)GetProcAddress(hm, (LPCSTR)446);
    _ordinal_447 = (void *)GetProcAddress(hm, (LPCSTR)447);
    _ordinal_448 = (void *)GetProcAddress(hm, (LPCSTR)448);
    _ordinal_449 = (void *)GetProcAddress(hm, (LPCSTR)449);
    _ordinal_450 = (void *)GetProcAddress(hm, (LPCSTR)450);
    _ordinal_451 = (void *)GetProcAddress(hm, (LPCSTR)451);
    _ordinal_452 = (void *)GetProcAddress(hm, (LPCSTR)452);
    _ordinal_453 = (void *)GetProcAddress(hm, (LPCSTR)453);
    _ordinal_454 = (void *)GetProcAddress(hm, (LPCSTR)454);
    _ordinal_455 = (void *)GetProcAddress(hm, (LPCSTR)455);
    _ordinal_456 = (void *)GetProcAddress(hm, (LPCSTR)456);
    _ordinal_457 = (void *)GetProcAddress(hm, (LPCSTR)457);
    _ordinal_458 = (void *)GetProcAddress(hm, (LPCSTR)458);
    _ordinal_459 = (void *)GetProcAddress(hm, (LPCSTR)459);
    _ordinal_460 = (void *)GetProcAddress(hm, (LPCSTR)460);
    _ordinal_461 = (void *)GetProcAddress(hm, (LPCSTR)461);
    _ordinal_462 = (void *)GetProcAddress(hm, (LPCSTR)462);
    _ordinal_463 = (void *)GetProcAddress(hm, (LPCSTR)463);
    _ordinal_464 = (void *)GetProcAddress(hm, (LPCSTR)464);
    _ordinal_465 = (void *)GetProcAddress(hm, (LPCSTR)465);
    _ordinal_466 = (void *)GetProcAddress(hm, (LPCSTR)466);
    _ordinal_467 = (void *)GetProcAddress(hm, (LPCSTR)467);
    _ordinal_468 = (void *)GetProcAddress(hm, (LPCSTR)468);
    _ordinal_469 = (void *)GetProcAddress(hm, (LPCSTR)469);
    _ordinal_470 = (void *)GetProcAddress(hm, (LPCSTR)470);
    _ordinal_471 = (void *)GetProcAddress(hm, (LPCSTR)471);
    _ordinal_472 = (void *)GetProcAddress(hm, (LPCSTR)472);
    _ordinal_473 = (void *)GetProcAddress(hm, (LPCSTR)473);
    _ordinal_474 = (void *)GetProcAddress(hm, (LPCSTR)474);
    _ordinal_475 = (void *)GetProcAddress(hm, (LPCSTR)475);
    _ordinal_476 = (void *)GetProcAddress(hm, (LPCSTR)476);
    _ordinal_477 = (void *)GetProcAddress(hm, (LPCSTR)477);
    _ordinal_478 = (void *)GetProcAddress(hm, (LPCSTR)478);
    _ordinal_479 = (void *)GetProcAddress(hm, (LPCSTR)479);
    _ordinal_480 = (void *)GetProcAddress(hm, (LPCSTR)480);
    _ordinal_481 = (void *)GetProcAddress(hm, (LPCSTR)481);
    _ordinal_482 = (void *)GetProcAddress(hm, (LPCSTR)482);
    _ordinal_483 = (void *)GetProcAddress(hm, (LPCSTR)483);
    _ordinal_484 = (void *)GetProcAddress(hm, (LPCSTR)484);
    _ordinal_485 = (void *)GetProcAddress(hm, (LPCSTR)485);
    _ordinal_486 = (void *)GetProcAddress(hm, (LPCSTR)486);
    _ordinal_487 = (void *)GetProcAddress(hm, (LPCSTR)487);
    _ordinal_488 = (void *)GetProcAddress(hm, (LPCSTR)488);
    _ordinal_489 = (void *)GetProcAddress(hm, (LPCSTR)489);
    _ordinal_490 = (void *)GetProcAddress(hm, (LPCSTR)490);
    _ordinal_491 = (void *)GetProcAddress(hm, (LPCSTR)491);
    _ordinal_492 = (void *)GetProcAddress(hm, (LPCSTR)492);
    _ordinal_493 = (void *)GetProcAddress(hm, (LPCSTR)493);
    _ordinal_494 = (void *)GetProcAddress(hm, (LPCSTR)494);
    _ordinal_495 = (void *)GetProcAddress(hm, (LPCSTR)495);
    _ordinal_496 = (void *)GetProcAddress(hm, (LPCSTR)496);
    _ordinal_497 = (void *)GetProcAddress(hm, (LPCSTR)497);
    _ordinal_498 = (void *)GetProcAddress(hm, (LPCSTR)498);
    _ordinal_499 = (void *)GetProcAddress(hm, (LPCSTR)499);
    _WEP = (void *)GetProcAddress(hm, "WEP");
    return(TRUE);
}

void ExitInstance(void) {
    if(hm) {
        FreeLibrary(hm);
        hm = NULL;
    }
}

BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpReserved) {
    switch(fdwReason) {
        case DLL_PROCESS_ATTACH: {
            DisableThreadLibraryCalls(hinstDLL);
            InitInstance();
            break;
        }
        case DLL_PROCESS_DETACH: {
            ExitInstance();
            break;
        }
        default: break;
    }
    return(TRUE);
}

